Package de.willuhn.jameica.hbci.gui.controller

# Class SepaSammelUeberweisungBuchungControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractSepaSammelTransferBuchungControl<SepaSammelUeberweisungBuchung>
de.willuhn.jameica.hbci.gui.controller.SepaSammelUeberweisungBuchungControl

public class SepaSammelUeberweisungBuchungControl extends AbstractSepaSammelTransferBuchungControl<SepaSammelUeberweisungBuchung>
Controller fuer den Dialog "Buchung einer SEPA-Sammelueberweisung bearbeiten".

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`SepaSammelUeberweisungBuchungControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`SepaSammelUeberweisungBuchung`
`getBuchung()`
Liefert die aktuelle Buchung.

### Methods inherited from class de.willuhn.jameica.hbci.gui.controller.AbstractSepaSammelTransferBuchungControl

`getBetrag, getEmpfaengerBic, getEmpfaengerKonto, getEmpfaengerName, getEndToEndId, getPurposeCode, getStoreEmpfaenger, getZweck, getZweckPreview, handleStore, store`

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SepaSammelUeberweisungBuchungControl

public SepaSammelUeberweisungBuchungControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getBuchung

public SepaSammelUeberweisungBuchung getBuchung()
Description copied from class: `AbstractSepaSammelTransferBuchungControl`
Liefert die aktuelle Buchung.

Specified by:
  `getBuchung` in class `AbstractSepaSammelTransferBuchungControl<SepaSammelUeberweisungBuchung>`
Returns:
  die Buchung.
See Also:
  - `AbstractSepaSammelTransferBuchungControl.getBuchung()`